# List contacts

Retrieves a paginated list of all contacts. Use offset and limit query parameters to control pagination.

Endpoint: GET /contacts
Version: 1.0.0
Security: basicAuth

## Query parameters:

  - `offset` (integer)
    The index of the first envelope to retrieve.

  - `limit` (integer)
    The maximum number of envelopes to return. If more than 50 is requested, 10 will be returned instead.

## Response 200 fields (application/json):

  - `http` (integer)
    Example: 200

  - `offset` (integer)

  - `limit` (integer)
    Example: 50

  - `total_contacts` (string)
    Example: "3"

  - `next` (string)
    Returned when another page of contacts is available.
    Example: "https://api.signable.co.uk/v1/contacts?offset=50&limit=50"

  - `contacts` (array)

  - `contacts.contact_id` (string)
    Example: "17224073"

  - `contacts.contact_name` (string)
    Example: "Buffy The Vampire Slayer"

  - `contacts.contact_email` (string)
    Example: "buffy@sunnydale.com"

  - `contacts.contact_outstanding_documents` (string)
    Example: "0"

  - `contacts.contact_created` (string)
    Example: "2025-07-07T09:54:08+0000"

## Response 401 fields (application/json):

  - `http` (integer, required)
    Example: 400

  - `code` (integer, required)
    Example: 10050

  - `message` (string, required)
    Example: "The request could not be completed."


